<portlet-app xmlns="http://java.sun.com/xml/ns/portlet/portlet-app_2_0.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://java.sun.com/xml/ns/portlet/portlet-app_2_0.xsd http://java.sun.com/xml/ns/portlet/portlet-app_2_0.xsd" version="1.0">
	<portlet>
		<description xml:lang="FR">Portlet de visualisation de documents au format WebLab. Lors de l'affichage d'un document, sont surlignées les instances d'entités référencées sémantiquement
			conformément à une légende.</description>
		<description xml:lang="EN">WebLab document visualisation portlet. When showing a document, the portlet highlight semantic entities instances as specified in a legend.</description>
		<portlet-name>DocViewPortlet</portlet-name>
		<display-name xml:lang="FR">DocView portlet</display-name>
		<portlet-class>org.springframework.web.portlet.DispatcherPortlet</portlet-class>

		<expiration-cache>0</expiration-cache>

		<supports>
			<mime-type>text/html</mime-type>
			<portlet-mode>view</portlet-mode>
		</supports>

		<supported-locale>fr</supported-locale>
		<supported-locale>en</supported-locale>
		<resource-bundle>docview_portlet</resource-bundle>

		<portlet-info>
			<title>DocView portlet</title>
			<short-title>DocView portlet</short-title>
			<keywords>JSR286 Portlet document viewer</keywords>
		</portlet-info>

		<!-- Supported event for this portlet -->
		<!-- processing -->
		<supported-processing-event>
			<qname xmlns:result="http://weblab.ow2.org/events/result">result:selectDocument</qname>
		</supported-processing-event>
		<supported-processing-event>
			<qname xmlns:meta="http://weblab.ow2.org/events/meta">meta:selectTranslation</qname>
		</supported-processing-event>
		<supported-processing-event>
			<qname xmlns:meta="http://weblab.ow2.org/events/meta">meta:selectOriginal</qname>
		</supported-processing-event>
		<supported-processing-event>
			<qname xmlns:result="http://weblab.ow2.org/events/result">result:selectNotLoadedDocument</qname>
		</supported-processing-event>

		<!-- publishing -->
		<supported-publishing-event>
			<qname xmlns:docview="http://weblab.ow2.org/events/docview">docview:selectInstance</qname>
		</supported-publishing-event>
		<supported-publishing-event>
			<qname xmlns:docview="http://weblab.ow2.org/events/docview">docview:selectCandidateInstance</qname>
		</supported-publishing-event>
		<supported-publishing-event>
			<qname xmlns:docview="http://weblab.ow2.org/events/docview">docview:addDocument</qname>
		</supported-publishing-event>
		<supported-publishing-event>
			<qname xmlns:docview="http://weblab.ow2.org/events/docview">docview:pinDocument</qname>
		</supported-publishing-event>

		<supported-public-render-parameter>keywords</supported-public-render-parameter>
	</portlet>

	<!-- filters -->
	<filter>
		<filter-name>weblab-event-filter</filter-name>
		<filter-class>org.ow2.weblab.portlet.filter.WebLabMapperEventFilter</filter-class>
		<lifecycle>EVENT_PHASE</lifecycle>
	</filter>
	<filter>
		<filter-name>weblab-action-filter</filter-name>
		<filter-class>org.ow2.weblab.portlet.filter.WebLabMapperActionFilter</filter-class>
		<lifecycle>ACTION_PHASE</lifecycle>
	</filter>
	<filter-mapping>
		<filter-name>weblab-event-filter</filter-name>
		<portlet-name>DocViewPortlet</portlet-name>
	</filter-mapping>
	<filter-mapping>
		<filter-name>weblab-action-filter</filter-name>
		<portlet-name>DocViewPortlet</portlet-name>
	</filter-mapping>

	<!-- event declaration -->
	<event-definition>
		<qname xmlns:docview="http://weblab.ow2.org/events/docview">docview:selectInstance</qname>
		<value-type>org.ow2.weblab.core.model.PieceOfKnowledge</value-type>
	</event-definition>
	<event-definition>
		<qname xmlns:docview="http://weblab.ow2.org/events/docview">docview:selectCandidateInstance</qname>
		<value-type>org.ow2.weblab.core.model.PieceOfKnowledge</value-type>
	</event-definition>
	<event-definition>
		<qname xmlns:result="http://weblab.ow2.org/events/result">result:selectDocument</qname>
		<value-type>org.ow2.weblab.core.model.Document</value-type>
	</event-definition>
	<event-definition>
		<qname xmlns:result="http://weblab.ow2.org/events/result">result:selectNotLoadedDocument</qname>
		<value-type>org.ow2.weblab.core.model.PieceOfKnowledge</value-type>
	</event-definition>
	<event-definition>
		<qname xmlns:docview="http://weblab.ow2.org/events/docview">docview:addDocument</qname>
		<value-type>org.ow2.weblab.core.model.Document</value-type>
	</event-definition>
	<event-definition>
		<qname xmlns:docview="http://weblab.ow2.org/events/docview">docview:pinDocument</qname>
		<value-type>org.ow2.weblab.core.model.Document</value-type>
	</event-definition>
	<event-definition>
		<qname xmlns:meta="http://weblab.ow2.org/events/meta">meta:selectTranslation</qname>
		<value-type>org.ow2.weblab.core.model.PieceOfKnowledge</value-type>
	</event-definition>
	<event-definition>
		<qname xmlns:meta="http://weblab.ow2.org/events/meta">meta:selectOriginal</qname>
		<value-type>java.lang.String</value-type>
	</event-definition>

	<public-render-parameter>
		<identifier>keywords</identifier>
		<qname xmlns:weblab="http://weblab.ow2.org/public-render-parameters">weblab:keywords</qname>
	</public-render-parameter>
</portlet-app>